Create an order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

Channel Setup

Before you can create orders over this endpoint, you must have a channel and the API user must have create access to the channel.

Path Params
string
required
Defaults to demo

The merchant_Id (subdomain) of your fulfil instance

Body Params
string
required
Defaults to ORDER-ID-1

The unique identifier of the order. This can be an internal database ID if that's the unique identifier for your order or an order number if it is unique enough.

string
required
Defaults to ORDER-ID-1

The customer facing order number

date
required
Defaults to 2020-12-13T08:20:23

The time at which the order was confirmed. The date and time (ISO 8601 format) when the order was confirmed.

string
Defaults to unshipped

Status of the fulfillment of the items. Valid values are unshipped, partial and shipped

string
Defaults to paid
string
required
Defaults to pending

The status of the order itself. Valid values are pending, completed and cancelled

billing_address
object
required

Billing address of the customer

shipping_lines
array of objects

An array of shipping lines. Most orders will have just one line.

shipping_lines
sale_lines
array of objects
required

An array of order items to be shipped.

sale_lines*
customer
object
required

An object of customer attributes including name and email (used for order deduplication).

shipping_address
object
required
string
Defaults to NET 30
string
required
Defaults to 200.00

Total amount of the order. Fulfil uses this to ensure that the computed total of the order matches the total amount provided.

string
Defaults to USD

Three character ISO code of the currency.

int32
Defaults to 2

The priority is copied to shipments and production orders (for make on order line items)

string
Defaults to Use additional packaging

The customer shipment created will automatically pull in the instructions added here for the picker/packer/shipper when shipping the item.

string
Defaults to This is a gift

Include a gift message on the sale order level.

string

The code that identifies the carrier and service. This should be setup ahead of time on the channel's shipping carrier settings.

payments
array of objects

This could be to track receivables, to reconcile payments with your payment gateway or for facilitating refunds by customer service teams within Fulfil.

payments
string
enum
Defaults to order

Mostly used for wholesale orders, this allows specifying how to charge for the shipment cost.

Allowed:
string

End-customer facing order number for drop ship orders

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json